Package resources

# Class Icons

java.lang.Object
resources.Icons

public class Icons extends Object
A class to get generic icons for standard actions. All methods in this class return an icon that is 16x16 unless the method name ends in another size.'

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Icon`
  `ADD_ICON`
  `static final Icon`
  `ARROW_DOWN_RIGHT_ICON`
  `static final Icon`
  `ARROW_UP_LEFT_ICON`
  `static final Icon`
  `CLEAR_ICON`
  `static final Icon`
  `CLOSE_ICON`
  `static final Icon`
  `CLOSED_FOLDER_ICON`
  `static final Icon`
  `COLLAPSE_ALL_ICON`
  `static final Icon`
  `CONFIGURE_FILTER_ICON`
  `static final Icon`
  `COPY_ICON`
  `static final Icon`
  `CUT_ICON`
  `static final Icon`
  `DELETE_ICON`
  `static final Icon`
  `DOWN_ICON`
  `static final Icon`
  `EMPTY_ICON`
  `static final Icon`
  `ERROR_ICON`
  `static final Icon`
  `EXPAND_ALL_ICON`
  `static final Icon`
  `HELP_ICON`
  `static final Icon`
  `HOME_ICON`
  `static final Icon`
  `INFO_ICON`
  `static final Icon`
  `LEFT_ALTERNATE_ICON`
  An version of the LEFT_ICON with a different color
  `static final Icon`
  `LEFT_ICON`
  `static final Icon`
  `MAKE_SELECTION_ICON`
  `static final Icon`
  `NAVIGATE_ON_INCOMING_EVENT_ICON`
  `static final Icon`
  `NAVIGATE_ON_OUTGOING_EVENT_ICON`
  `static final Icon`
  `NOT_ALLOWED_ICON`
  `static final Icon`
  `OPEN_FOLDER_ICON`
  `static final Icon`
  `PASTE_ICON`
  `static final Icon`
  `REFRESH_ICON`
  `static final Icon`
  `RIGHT_ALTERNATE_ICON`
  An version of the RIGHT_ICON with a different color
  `static final Icon`
  `RIGHT_ICON`
  `static final Icon`
  `SAVE_AS_ICON`
  `static final Icon`
  `SAVE_ICON`
  `static final Icon`
  `SORT_ASCENDING_ICON`
  `static final Icon`
  `SORT_DESCENDING_ICON`
  `static final Icon`
  `STOP_ICON`
  `static final Icon`
  `STRONG_WARNING_ICON`
  `static final Icon`
  `UP_ICON`
  `static final Icon`
  `WARNING_ICON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImageIcon`
  `get(String iconPath)`
  Gets the icon for the given icon path.
  `static ImageIcon`
  `get(String iconPath, int width, int height)`
  Gets the icon for the given icon path and scale it to the specified width and height.
  `static IconProvider`
  `getIconForIconsReference(String snippet)`
  Returns an `IconProvider` for the given string value, which is usually the 'src' attribute of an IMG tag
  `static boolean`
  `isIconsReference(String snippet)`
  Returns true if the given string is a Java code snippet that references this class

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EMPTY_ICON

    public static final Icon EMPTY_ICON

  - ### HELP_ICON

    public static final Icon HELP_ICON

  - ### ADD_ICON

    public static final Icon ADD_ICON

  - ### COPY_ICON

    public static final Icon COPY_ICON

  - ### CUT_ICON

    public static final Icon CUT_ICON

  - ### PASTE_ICON

    public static final Icon PASTE_ICON

  - ### COLLAPSE_ALL_ICON

    public static final Icon COLLAPSE_ALL_ICON

  - ### EXPAND_ALL_ICON

    public static final Icon EXPAND_ALL_ICON

  - ### CONFIGURE_FILTER_ICON

    public static final Icon CONFIGURE_FILTER_ICON

  - ### CLEAR_ICON

    public static final Icon CLEAR_ICON

  - ### DELETE_ICON

    public static final Icon DELETE_ICON

  - ### ERROR_ICON

    public static final Icon ERROR_ICON

  - ### HOME_ICON

    public static final Icon HOME_ICON

  - ### NAVIGATE_ON_INCOMING_EVENT_ICON

    public static final Icon NAVIGATE_ON_INCOMING_EVENT_ICON

  - ### NAVIGATE_ON_OUTGOING_EVENT_ICON

    public static final Icon NAVIGATE_ON_OUTGOING_EVENT_ICON

  - ### NOT_ALLOWED_ICON

    public static final Icon NOT_ALLOWED_ICON

  - ### OPEN_FOLDER_ICON

    public static final Icon OPEN_FOLDER_ICON

  - ### CLOSED_FOLDER_ICON

    public static final Icon CLOSED_FOLDER_ICON

  - ### REFRESH_ICON

    public static final Icon REFRESH_ICON

  - ### SORT_ASCENDING_ICON

    public static final Icon SORT_ASCENDING_ICON

  - ### SORT_DESCENDING_ICON

    public static final Icon SORT_DESCENDING_ICON

  - ### STOP_ICON

    public static final Icon STOP_ICON

  - ### STRONG_WARNING_ICON

    public static final Icon STRONG_WARNING_ICON

  - ### WARNING_ICON

    public static final Icon WARNING_ICON

  - ### INFO_ICON

    public static final Icon INFO_ICON

  - ### LEFT_ICON

    public static final Icon LEFT_ICON

  - ### RIGHT_ICON

    public static final Icon RIGHT_ICON

  - ### UP_ICON

    public static final Icon UP_ICON

  - ### DOWN_ICON

    public static final Icon DOWN_ICON

  - ### LEFT_ALTERNATE_ICON

    public static final Icon LEFT_ALTERNATE_ICON
    An version of the LEFT_ICON with a different color

  - ### RIGHT_ALTERNATE_ICON

    public static final Icon RIGHT_ALTERNATE_ICON
    An version of the RIGHT_ICON with a different color

  - ### SAVE_ICON

    public static final Icon SAVE_ICON

  - ### SAVE_AS_ICON

    public static final Icon SAVE_AS_ICON

  - ### MAKE_SELECTION_ICON

    public static final Icon MAKE_SELECTION_ICON

  - ### ARROW_DOWN_RIGHT_ICON

    public static final Icon ARROW_DOWN_RIGHT_ICON

  - ### ARROW_UP_LEFT_ICON

    public static final Icon ARROW_UP_LEFT_ICON

  - ### CLOSE_ICON

    public static final Icon CLOSE_ICON

- ## Method Details

  - ### isIconsReference

    public static boolean isIconsReference(String snippet)
    Returns true if the given string is a Java code snippet that references this class
    Parameters:
      `snippet` - the string to check
    Returns:
      true if the given string is a Java code snippet that references this class

  - ### getIconForIconsReference

    public static IconProvider getIconForIconsReference(String snippet)
    Returns an `IconProvider` for the given string value, which is usually the 'src' attribute of an IMG tag
    Parameters:
      `snippet` - the snippet
    Returns:
      the icon provider

  - ### get

    public static ImageIcon get(String iconPath)
    Gets the icon for the given icon path. The given path should be relative to the classpath. If an icon by that name can't be found, the default "bomb" icon is returned instead.

    For example, an icon named foo.png would typically be stored in the module at "{modulePath}/src/main/resources/image/foo.png". To reference that icon, use the path "images/foo.png", since "{modulePath}/src/main/resources" is in the classpath.

    Parameters:
      `iconPath` - the icon path (relative to the classpath)
    Returns:
      The icon referenced by that path.

  - ### get

    public static ImageIcon get(String iconPath, int width, int height)
    Gets the icon for the given icon path and scale it to the specified width and height. The given path should be relative to the classpath. If an icon by that name can't be found, the default "bomb" icon is returned instead.

    For example, an icon named foo.png would typically be stored in the module at "{modulePath}/src/main/resources/image/foo.png". To reference that icon, use the path "images/foo.png", since "{modulePath}/src/main/resources" is in the classpath.

    Parameters:
      `iconPath` - the icon path (relative to the classpath)
      `width` - the desired width after scaling
      `height` - the desired height after scaling
    Returns:
      The icon referenced by that path.